## ipu6-drivers 0~git202211220708.278b7e3d

=== Makefile ===
# SPDX-License-Identifier: GPL-2.0
# Copyright (c) 2022 Intel Corporation.

obj-m += ljca.o
ljca-y := drivers/mfd/ljca.o

obj-m += spi-ljca.o
spi-ljca-y := drivers/spi/spi-ljca.o

obj-m += gpio-ljca.o
gpio-ljca-y := drivers/gpio/gpio-ljca.o

obj-m += i2c-ljca.o
i2c-ljca-y := drivers/i2c/busses/i2c-ljca.o

obj-m += mei-vsc.o
mei-vsc-y := drivers/misc/mei/spi-vsc.o
mei-vsc-y += drivers/misc/mei/hw-vsc.o

obj-m += intel_vsc.o
intel_vsc-y := drivers/misc/ivsc/intel_vsc.o

obj-m += mei_csi.o
mei_csi-y := drivers/misc/ivsc/mei_csi.o

obj-m += mei_ace.o
mei_ace-y := drivers/misc/ivsc/mei_ace.o

obj-m += mei_pse.o
mei_pse-y := drivers/misc/ivsc/mei_pse.o

obj-m += mei_ace_debug.o
mei_ace_debug-y := drivers/misc/ivsc/mei_ace_debug.o

export CONFIG_INTEL_VSC = y

export CONFIG_VIDEO_INTEL_IPU6 = m
export CONFIG_IPU_ISYS_BRIDGE = y
export CONFIG_INTEL_SKL_INT3472 = m
obj-y += drivers/media/pci/intel/

export CONFIG_VIDEO_HM11B1 = m
export CONFIG_VIDEO_OV01A1S = m
export CONFIG_VIDEO_OV01A10 = m
export CONFIG_VIDEO_OV02C10 = m
export CONFIG_VIDEO_OV2740 = m
export CONFIG_VIDEO_HM2170 = m
export CONFIG_VIDEO_HI556 = m
# export CONFIG_POWER_CTRL_LOGIC = m
obj-y += drivers/media/i2c/

KERNELRELEASE ?= $(shell uname -r)
KERNEL_SRC ?= /lib/modules/$(KERNELRELEASE)/build
MODSRC := $(shell pwd)

ccflags-y += -I$(src)/backport-include/drivers/misc/mei/

subdir-ccflags-y += -I$(src)/include/

subdir-ccflags-$(CONFIG_INTEL_VSC) += \
        -DCONFIG_INTEL_VSC
subdir-ccflags-$(CONFIG_IPU_ISYS_BRIDGE) += \
	-DCONFIG_IPU_ISYS_BRIDGE
subdir-ccflags-$(CONFIG_INTEL_SKL_INT3472) += \
	-DCONFIG_INTEL_SKL_INT3472
subdir-ccflags-$(CONFIG_POWER_CTRL_LOGIC) += \
	-DCONFIG_POWER_CTRL_LOGIC
subdir-ccflags-y += $(subdir-ccflags-m)

all:
	$(MAKE) -C $(KERNEL_SRC) M=$(MODSRC) modules
modules_install:
	$(MAKE) INSTALL_MOD_DIR=updates -C $(KERNEL_SRC) M=$(MODSRC) modules_install
clean:
	$(MAKE) -C $(KERNEL_SRC) M=$(MODSRC) clean

=== drivers/media/i2c/Makefile ===
# SPDX-License-Identifier: GPL-2.0
# Copyright (c) 2021 Intel Corporation.

obj-$(CONFIG_VIDEO_HM11B1) += hm11b1.o
obj-$(CONFIG_VIDEO_OV01A1S) += ov01a1s.o
obj-$(CONFIG_VIDEO_OV01A10) += ov01a10.o
obj-$(CONFIG_VIDEO_OV02C10) += ov02c10.o
obj-$(CONFIG_VIDEO_OV2740) += ov2740.o
obj-$(CONFIG_VIDEO_HM2170) += hm2170.o
obj-$(CONFIG_VIDEO_HI556) += hi556.o
obj-$(CONFIG_POWER_CTRL_LOGIC) += power_ctrl_logic.o

=== drivers/media/pci/intel/ipu6/Makefile ===
# SPDX-License-Identifier: GPL-2.0
# Copyright (c) 2017 - 2020 Intel Corporation.

ccflags-y += -DIPU_TPG_FRAME_SYNC -DIPU_PSYS_GPC \
		-DIPU_ISYS_GPC

intel-ipu6-objs				+= ../ipu.o \
					   ../ipu-bus.o \
					   ../ipu-dma.o \
					   ../ipu-mmu.o \
					   ../ipu-buttress.o \
					   ../ipu-trace.o \
					   ../ipu-cpd.o \
					   ipu6.o \
					   ../ipu-fw-com.o
ifdef CONFIG_IPU_ISYS_BRIDGE
intel-ipu6-objs				+= ../ipu-isys-bridge.o
endif

obj-$(CONFIG_VIDEO_INTEL_IPU6)		+= intel-ipu6.o

intel-ipu6-isys-objs			+= ../ipu-isys.o \
					   ../ipu-isys-csi2.o \
					   ipu6-isys.o \
					   ipu6-isys-phy.o \
					   ipu6-isys-dwc-phy.o \
					   ipu6-isys-csi2.o \
					   ipu6-isys-gpc.o \
					   ../ipu-isys-csi2-be-soc.o \
					   ../ipu-fw-isys.o \
					   ../ipu-isys-video.o \
					   ../ipu-isys-queue.o \
					   ../ipu-isys-subdev.o

obj-$(CONFIG_VIDEO_INTEL_IPU6)		+= intel-ipu6-isys.o

intel-ipu6-psys-objs			+= ../ipu-psys.o \
					   ipu6-psys.o \
					   ipu-resources.o \
					   ipu6-psys-gpc.o \
					   ipu6-l-scheduler.o \
					   ipu6-ppg.o

intel-ipu6-psys-objs			+= ipu-fw-resources.o \
					   ipu6-fw-resources.o \
					   ipu6se-fw-resources.o \
					   ipu6ep-fw-resources.o \
					   ../ipu-fw-psys.o

ifeq ($(CONFIG_COMPAT),y)
intel-ipu6-psys-objs			+= ../ipu-psys-compat32.o
endif

obj-$(CONFIG_VIDEO_INTEL_IPU6)		+= intel-ipu6-psys.o

ccflags-y += -I$(src)/..
ccflags-y += -I$(src)

=== debian/changelog ===
ipu6-drivers (0~git202211220708.278b7e3d-0ubuntu0.22.04.1) jammy; urgency=medium

  * Backport to jammy. (LP: #1972109)

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Wed, 30 Nov 2022 16:54:01 +0000

ipu6-drivers (0~git202211220708.278b7e3d-0ubuntu0.23.04.1) lunar; urgency=low

  [ You-Sheng Yang ]
  * Initial release. (LP: #1972109)
    - dkms: use debian package version as PACKAGE_VERSION
    - build: fix kernel feature macro definitions
    - build: drop inlined vsc builds
    - ivsc: import headers
    - ivsc: load symbols by kprobe
    - Fix compilation with kernel 6.1
    - Fix crash due to module probe order

  [ Dimitri John Ledkov ]
  * debian/control:
    - add missing dh-dkms built-dependency
    - bump standard version
    - update urls to github.com
    - drop libc6-dev dependency
  * debian/rules use full DEB_VERSION for package version
  * debian/changelog use backports friendly version number  
  * Fix ftbfs against v5.19 kernels without any prior ipu6 patches

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Thu, 24 Nov 2022 16:45:54 +0800

=== debian/control ===
Source: ipu6-drivers
Section: kernel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: You-Sheng Yang <vicamo@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-modaliases,
 dkms,
 dh-sequence-dkms,
 quilt,
Standards-Version: 4.6.1.0
Homepage: https://github.com/intel/ipu6-drivers
Vcs-Browser: https://github.com/intel/ipu6-drivers/tree/master
Vcs-Git: https://github.com/intel/ipu6-drivers.git

Package: intel-ipu6-dkms
Architecture: amd64
Depends:
 dkms,
 ${misc:Depends},
Provides: ipu6-modules
Description: Intel Integrated Image Processing Unit 6 (IPU6) driver
 This package provides kernel drivers for MIPI cameras through the Intel IPU6
 on Intel Tiger Lake and Alder Lake platforms.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
include /usr/share/dpkg/pkg-info.mk

DKMS_PACKAGE_NAME = $(shell grep '^PACKAGE_NAME=' dkms.conf | cut -d\" -f2)
DKMS_PACKAGE_VERSION = $(DEB_VERSION)

generated_dkms_files = \
  debian/intel-ipu6-dkms.install \
  $(empty)

%:
	dh $@ --with dkms

override_dh_auto_configure:
override_dh_auto_build:
override_dh_auto_test:
override_dh_auto_install:
override_dh_auto_clean:

override_dh_dkms: dkms.conf
	dh_dkms -V $(DKMS_PACKAGE_VERSION) -- dkms.conf

override_dh_install: debian/intel-ipu6-dkms.install
	dh_install --exclude=.gitignore

override_dh_clean:
	-rm -f $(generated_dkms_files)
	dh_clean

$(generated_dkms_files) : $(generated_dkms_files:=.in) debian/rules
	sed -e 's,@DKMS_PACKAGE_NAME@,$(DKMS_PACKAGE_NAME),g' \
	    -e 's,@DKMS_PACKAGE_VERSION@,$(DKMS_PACKAGE_VERSION),g' \
	    <$(@:=.in) >$@

## ipu6-drivers 0~git202302081010.7fdfb5eb

=== debian/changelog ===
ipu6-drivers (0~git202302081010.7fdfb5eb-0ubuntu0.23.10.2) mantic; urgency=medium

  * debian/patches/0010-linux-6.5-get_user_pages-dropped-vmas.patch:
    - Fix Linux 6.5 build (LP: #2028930) 

 -- Paolo Pisati <paolo.pisati@canonical.com>  Fri, 28 Jul 2023 10:36:03 +0000

ipu6-drivers (0~git202302081010.7fdfb5eb-0ubuntu0.23.10.1) mantic; urgency=low

  [ You-Sheng Yang ]
  * New upstream 20230208_1038 release. (LP: #2007368)
    - drop patches applied in upstream

  [ Hans de Goede ]
  * Don't rename the already registered PCI-device
  * cio2-bridge: Fix compilation with kernel >= 6.3

  [ Hao Yao ]
  * media: hm2170: Support ver D silicon

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Mon, 01 May 2023 22:13:43 +0800

## ipu6-drivers 0~git202310180730.3f813580

=== debian/changelog ===
ipu6-drivers (0~git202310180730.3f813580-0ubuntu0.23.10.1) mantic; urgency=low

  [ You-Sheng Yang ]
  * New upstream release
    - Support mipi camera on Intel Meteor Lake platform (LP: #2031412)
    - debian: refresh patches, drop upstreamed ones
  * d/patches/0007: add CONFIG_VIDEO_V4L2_I2C to BUILD_EXCLUSIVE_CONFIG
    (LP: #2012407)
  * debian: add modaliases (LP: #2021740)

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Fri, 01 Sep 2023 17:51:53 +0800

## ipu6-drivers 0~git202311240921.07f0612e

=== Makefile ===
--- 
+++ 
@@ -36,15 +36,19 @@
 
 export CONFIG_VIDEO_INTEL_IPU6 = m
 export CONFIG_IPU_ISYS_BRIDGE = y
+export CONFIG_IPU_SINGLE_BE_SOC_DEVICE = n
 export CONFIG_INTEL_SKL_INT3472 = m
 obj-y += drivers/media/pci/intel/
 
 export CONFIG_VIDEO_HM11B1 = m
+export CONFIG_VIDEO_GC5035 = m
 export CONFIG_VIDEO_OV01A1S = m
 export CONFIG_VIDEO_OV01A10 = m
 export CONFIG_VIDEO_OV02C10 = m
+export CONFIG_VIDEO_OV02E10 = m
 export CONFIG_VIDEO_OV2740 = m
 export CONFIG_VIDEO_HM2170 = m
+export CONFIG_VIDEO_HM2172 = m
 export CONFIG_VIDEO_HI556 = m
 # export CONFIG_POWER_CTRL_LOGIC = m
 obj-y += drivers/media/i2c/
@@ -55,12 +59,15 @@
 
 ccflags-y += -I$(src)/backport-include/drivers/misc/mei/
 
-subdir-ccflags-y += -I$(src)/include/
+subdir-ccflags-y += -I$(src)/include/ \
+	-DCONFIG_VIDEO_V4L2_SUBDEV_API
 
 subdir-ccflags-$(CONFIG_INTEL_VSC) += \
         -DCONFIG_INTEL_VSC
 subdir-ccflags-$(CONFIG_IPU_ISYS_BRIDGE) += \
 	-DCONFIG_IPU_ISYS_BRIDGE
+subdir-ccflags-$(CONFIG_IPU_SINGLE_BE_SOC_DEVICE) += \
+	-DCONFIG_IPU_SINGLE_BE_SOC_DEVICE
 subdir-ccflags-$(CONFIG_INTEL_SKL_INT3472) += \
 	-DCONFIG_INTEL_SKL_INT3472
 subdir-ccflags-$(CONFIG_POWER_CTRL_LOGIC) += \

=== drivers/media/pci/intel/Makefile ===
# SPDX-License-Identifier: GPL-2.0
# Copyright (c) 2010 - 2020 Intel Corporation.

# force check the compile warning to make sure zero warnings
# note we may have build issue when gcc upgraded.
subdir-ccflags-y := -Wall -Wextra
subdir-ccflags-y += $(call cc-disable-warning, unused-parameter)
subdir-ccflags-y += $(call cc-disable-warning, implicit-fallthrough)
subdir-ccflags-y += $(call cc-disable-warning, missing-field-initializers)
subdir-ccflags-y += $(call cc-disable-warning, type-limits)
subdir-ccflags-$(CONFIG_VIDEO_INTEL_IPU_WERROR) += -Werror

obj-$(CONFIG_VIDEO_INTEL_IPU6)	+= ipu6/

=== drivers/media/pci/intel/ipu6/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 					   ipu6.o \
 					   ../ipu-fw-com.o
 ifdef CONFIG_IPU_ISYS_BRIDGE
-intel-ipu6-objs				+= ../ipu-isys-bridge.o
+intel-ipu6-objs				+= ../cio2-bridge.o
 endif
 
 obj-$(CONFIG_VIDEO_INTEL_IPU6)		+= intel-ipu6.o

=== debian/changelog ===
ipu6-drivers (0~git202311240921.07f0612e-0ubuntu2) noble; urgency=medium

  [ You-Sheng Yang ]
  * Failed to build against v6.8-rcX: multiple failures (LP: #2054496)
    - backport: replace strlcpy with strscpy
    - backport: Switch to stream-aware state functions

 -- You-Sheng Yang <vicamo@gmail.com>  Wed, 21 Feb 2024 22:02:47 +0800

ipu6-drivers (0~git202311240921.07f0612e-0ubuntu1) noble; urgency=medium

  * Intel IPU6 camera support for Dell MayaBay MLK (LP: #2044991)
    - new upstream Release_20231124 release
    - debian: refresh patches

 -- You-Sheng Yang <vicamo@gmail.com>  Sat, 02 Dec 2023 00:45:55 +0800

ipu6-drivers (0~git202310180730.3f813580-0ubuntu0.24.04.1) noble; urgency=low

  [ Hao Yao ]
  * New upstream 20230802_1500_mtl_plat release.
  * New upstream 20230911_0620_mtl_plat_pv release.

  [ Hans de Goede ]
  * Fix compilation with kernels >= 6.5.0 (LP: #2026402)
    - ipu-psys: Fix compilation with kernels >= 6.5.0
    - ipu6: Fix compilation with kernels >= 6.6.0
    - ipu6: Fix sensor driver compilation with kernels >= 6.6.0

  [ You-Sheng Yang ]
  * Support mipi camera on Intel Meteor Lake platform (LP: #2031412)
    - debian: refresh patches
  * dkms: add CONFIG_VIDEO_V4L2_I2C to BUILD_EXCLUSIVE_CONFIG (LP: #2012407)
  * debian: add modaliases (LP: #2021740)
  * UBUNTU: SAUCE: i2c: compile omitted sensor drivers

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Fri, 01 Sep 2023 17:51:53 +0800

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
  dkms,
  ${misc:Depends},
 Provides: ipu6-modules
+XB-Modaliases: ${modaliases}
 Description: Intel Integrated Image Processing Unit 6 (IPU6) driver
  This package provides kernel drivers for MIPI cameras through the Intel IPU6
  on Intel Tiger Lake and Alder Lake platforms.

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
   $(empty)
 
 %:
-	dh $@ --with dkms
+	dh $@ --with dkms,modaliases
 
 override_dh_auto_configure:
 override_dh_auto_build:

## ipu6-drivers 0~git202406240945.aecec2aa

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,34 @@
 # SPDX-License-Identifier: GPL-2.0
 # Copyright (c) 2022 Intel Corporation.
 
+KERNELRELEASE ?= $(shell uname -r)
+KERNEL_VERSION := $(shell echo $(KERNELRELEASE) | sed 's/[^0-9.]*\([0-9.]*\).*/\1/')
+
+version_lt = $(shell \
+    v1=$(1); \
+    v2=$(2); \
+    IFS='.'; \
+    set -- $$v1; i=$$1; j=$$2; k=$$3; \
+    set -- $$v2; a=$$1; b=$$2; c=$$3; \
+    if [ "$$i" -lt "$$a" ]; then \
+        echo "true"; \
+    elif [ "$$i" -eq "$$a" ] && [ "$$j" -lt "$$b" ]; then \
+        echo "true"; \
+    elif [ "$$i" -eq "$$a" ] && [ "$$j" -eq "$$b" ] && [ "$$k" -lt "$$c" ]; then \
+        echo "true"; \
+    else \
+        echo "false"; \
+    fi)
+
+KV_IVSC := 6.6.0
+KV_IPU_BRIDGE := 6.6.0
+KV_OV2740 := 6.8.0
+
+KERNEL_SRC ?= /lib/modules/$(KERNELRELEASE)/build
+MODSRC := $(shell pwd)
+
+ifeq ($(call version_lt,$(KERNEL_VERSION),$(KV_IVSC)),true)
+$(warning build ljca ivsc)
 obj-m += ljca.o
 ljca-y := drivers/mfd/ljca.o
 
@@ -34,30 +62,37 @@
 
 export CONFIG_INTEL_VSC = y
 
+endif
+
 export CONFIG_VIDEO_INTEL_IPU6 = m
-export CONFIG_IPU_ISYS_BRIDGE = y
 export CONFIG_IPU_SINGLE_BE_SOC_DEVICE = n
 export CONFIG_INTEL_SKL_INT3472 = m
+# export CONFIG_POWER_CTRL_LOGIC = m
+ifeq ($(call version_lt,$(KERNEL_VERSION),$(KV_IPU_BRIDGE)),true)
+export CONFIG_IPU_ISYS_BRIDGE = y
+export CONFIG_IPU_BRIDGE = n
+endif
+export EXTERNAL_BUILD = 1
 obj-y += drivers/media/pci/intel/
 
 export CONFIG_VIDEO_HM11B1 = m
-export CONFIG_VIDEO_GC5035 = m
 export CONFIG_VIDEO_OV01A1S = m
 export CONFIG_VIDEO_OV01A10 = m
 export CONFIG_VIDEO_OV02C10 = m
 export CONFIG_VIDEO_OV02E10 = m
-export CONFIG_VIDEO_OV2740 = m
 export CONFIG_VIDEO_HM2170 = m
 export CONFIG_VIDEO_HM2172 = m
 export CONFIG_VIDEO_HI556 = m
-# export CONFIG_POWER_CTRL_LOGIC = m
+
+ifeq ($(call version_lt,$(KERNEL_VERSION),$(KV_OV2740)),true)
+export CONFIG_VIDEO_OV2740 = m
+export CONFIG_VIDEO_GC5035 = m
+endif
 obj-y += drivers/media/i2c/
 
-KERNELRELEASE ?= $(shell uname -r)
-KERNEL_SRC ?= /lib/modules/$(KERNELRELEASE)/build
-MODSRC := $(shell pwd)
-
+ifeq ($(call version_lt,$(KERNEL_VERSION),$(KV_IVSC)),true)
 ccflags-y += -I$(src)/backport-include/drivers/misc/mei/
+endif
 
 subdir-ccflags-y += -I$(src)/include/ \
 	-DCONFIG_VIDEO_V4L2_SUBDEV_API
@@ -66,6 +101,8 @@
         -DCONFIG_INTEL_VSC
 subdir-ccflags-$(CONFIG_IPU_ISYS_BRIDGE) += \
 	-DCONFIG_IPU_ISYS_BRIDGE
+subdir-ccflags-$(CONFIG_IPU_BRIDGE) += \
+	-DCONFIG_IPU_BRIDGE
 subdir-ccflags-$(CONFIG_IPU_SINGLE_BE_SOC_DEVICE) += \
 	-DCONFIG_IPU_SINGLE_BE_SOC_DEVICE
 subdir-ccflags-$(CONFIG_INTEL_SKL_INT3472) += \

=== drivers/media/i2c/Makefile ===
# SPDX-License-Identifier: GPL-2.0
# Copyright (c) 2021 Intel Corporation.

obj-$(CONFIG_VIDEO_HM11B1) += hm11b1.o
obj-$(CONFIG_VIDEO_GC5035) += gc5035.o
obj-$(CONFIG_VIDEO_OV01A1S) += ov01a1s.o
obj-$(CONFIG_VIDEO_OV01A10) += ov01a10.o
obj-$(CONFIG_VIDEO_OV02C10) += ov02c10.o
obj-$(CONFIG_VIDEO_OV02E10) += ov02e10.o
obj-$(CONFIG_VIDEO_OV2740) += ov2740.o
obj-$(CONFIG_VIDEO_HM2170) += hm2170.o
obj-$(CONFIG_VIDEO_HM2170) += hm2172.o
obj-$(CONFIG_VIDEO_HI556) += hi556.o
obj-$(CONFIG_POWER_CTRL_LOGIC) += power_ctrl_logic.o

=== drivers/media/pci/intel/ipu6/Makefile ===
--- 
+++ 
@@ -1,5 +1,9 @@
 # SPDX-License-Identifier: GPL-2.0
-# Copyright (c) 2017 - 2020 Intel Corporation.
+# Copyright (c) 2017 - 2024 Intel Corporation.
+
+ifneq ($(EXTERNAL_BUILD), 1)
+srcpath := $(srctree)
+endif
 
 ccflags-y += -DIPU_TPG_FRAME_SYNC -DIPU_PSYS_GPC \
 		-DIPU_ISYS_GPC
@@ -53,5 +57,6 @@
 
 obj-$(CONFIG_VIDEO_INTEL_IPU6)		+= intel-ipu6-psys.o
 
-ccflags-y += -I$(src)/..
-ccflags-y += -I$(src)
+ccflags-y += -I$(srcpath)/$(src)/../../../../../include/
+ccflags-y += -I$(srcpath)/$(src)/../
+ccflags-y += -I$(srcpath)/$(src)/

=== debian/changelog ===
ipu6-drivers (0~git202406240945.aecec2aa-0ubuntu2~24.04.3) noble; urgency=medium

  * media: intel-ipu6: Use new model name for downstream driver (LP: #2092139)

 -- You-Sheng Yang <vicamo@gmail.com>  Thu, 19 Dec 2024 02:55:23 +0800

ipu6-drivers (0~git202406240945.aecec2aa-0ubuntu2~24.04.2) noble; urgency=medium

  * UBUNTU: SAUCE: media: ipu6: Fix compilation with kernels >= 6.11
    (LP: #2076262)

 -- You-Sheng Yang <vicamo@gmail.com>  Thu, 08 Aug 2024 11:36:32 +0800

ipu6-drivers (0~git202406240945.aecec2aa-0ubuntu2~24.04.1) noble; urgency=medium

  [ You-Sheng Yang ]
  * Embedded camera using camera sensors ov02e10 and ov08a10 doesn't work:
    missing kernel driver (LP: #2072643)
    - debian: fix index numbers in dkms.conf
  * Failed to enable camera on Dell XPS 9320: ov01a10 i2c-OVTI01A0:00: failed
    to check hwcfg: -22 (LP: #2073453)
    - debian: skip hwcfg checks for Dell XPS 9320 with ov01a10 camera sensor

 -- You-Sheng Yang <vicamo@gmail.com>  Thu, 18 Jul 2024 12:02:47 +0800

ipu6-drivers (0~git202406240945.aecec2aa-0ubuntu1~24.04.1) noble; urgency=medium

  [ You-Sheng Yang ]
  * upstream Release_20240624 release (LP: #2067364)
  * UBUNTU: SAUCE: [IPU6] skip hwcfg checking for platforms with none/broken
    graph port nodes (LP: #2070251)
  * UBUNTU: SAUCE: media: ipu6: Fix compilation with kernels >= 6.10
  * ov08x40: add back driver source (LP: #2060101)

 -- You-Sheng Yang <vicamo@gmail.com>  Mon, 24 Jun 2024 22:01:05 +0800

ipu6-drivers (0~git202404110253.97c94720-0ubuntu1) noble; urgency=medium

  [ You-Sheng Yang ]
  * New upstream Release_20240409 release (LP: #2061747)
    - drop upstreamed "backport: replace strlcpy with strscpy" patch
    - debian: refresh patches
    - UBUNTU: SAUCE: firmware: fallback to old firmware path
    - UBUNTU: SAUCE: don't fail probing at hwcfg checks

 -- You-Sheng Yang <vicamo@gmail.com>  Thu, 11 Apr 2024 18:38:46 +0800

## ipu6-drivers 0~git202407190257.9369b88e

=== Makefile ===
--- 
+++ 
@@ -23,6 +23,7 @@
 KV_IVSC := 6.6.0
 KV_IPU_BRIDGE := 6.6.0
 KV_OV2740 := 6.8.0
+KV_OV05C10 := 6.8.0
 
 KERNEL_SRC ?= /lib/modules/$(KERNELRELEASE)/build
 MODSRC := $(shell pwd)
@@ -88,6 +89,11 @@
 export CONFIG_VIDEO_OV2740 = m
 export CONFIG_VIDEO_GC5035 = m
 endif
+
+ifeq ($(call version_lt,$(KERNEL_VERSION),$(KV_OV05C10)),false)
+export CONFIG_VIDEO_OV05C10 = m
+endif
+
 obj-y += drivers/media/i2c/
 
 ifeq ($(call version_lt,$(KERNEL_VERSION),$(KV_IVSC)),true)

=== debian/changelog ===
ipu6-drivers (0~git202407190257.9369b88e-0ubuntu1.2) oracular; urgency=medium

  * media: intel-ipu6: Use new model name for downstream driver (LP: #2092139)

 -- You-Sheng Yang <vicamo@gmail.com>  Wed, 02 Apr 2025 10:07:59 +0800

ipu6-drivers (0~git202407190257.9369b88e-0ubuntu1.1) oracular; urgency=medium

  [ You-Sheng Yang ]
  * OVTI08F4:00: number of CSI2 data lanes 2 is not supported (LP: #2084059)
    - media: ov08x40: Add support for 2/4 lanes support at 1500 Mbps

 -- You-Sheng Yang <vicamo@gmail.com>  Fri, 11 Oct 2024 01:53:49 +0800

ipu6-drivers (0~git202407190257.9369b88e-0ubuntu1) oracular; urgency=medium

  [ You-Sheng Yang ]
  * ARL platform Beta release on 2024-07-18
    - debian: refresh patches
  * UBUNTU: SAUCE: media: ipu6: Fix compilation with kernels >= 6.11
    (LP: #2076262)
  * debian: drop --with dkms from rules

 -- You-Sheng Yang <vicamo@gmail.com>  Thu, 08 Aug 2024 11:36:32 +0800

ipu6-drivers (0~git202406240945.aecec2aa-0ubuntu2) oracular; urgency=medium

  [ You-Sheng Yang ]
  * Embedded camera using camera sensors ov02e10 and ov08a10 doesn't work:
    missing kernel driver (LP: #2072643)
    - debian: fix index numbers in dkms.conf
  * Failed to enable camera on Dell XPS 9320: ov01a10 i2c-OVTI01A0:00: failed
    to check hwcfg: -22 (LP: #2073453)
    - debian: skip hwcfg checks for Dell XPS 9320 with ov01a10 camera sensor

 -- You-Sheng Yang <vicamo@gmail.com>  Thu, 18 Jul 2024 12:02:47 +0800

ipu6-drivers (0~git202406240945.aecec2aa-0ubuntu1) oracular; urgency=medium

  [ You-Sheng Yang ]
  * upstream Release_20240624 release (LP: #2067364)
  * UBUNTU: SAUCE: [IPU6] skip hwcfg checking for platforms with none/broken
    graph port nodes (LP: #2070251)
  * UBUNTU: SAUCE: media: ipu6: Fix compilation with kernels >= 6.10
  * ov08x40: add back driver source (LP: #2060101)

 -- You-Sheng Yang <vicamo@gmail.com>  Mon, 24 Jun 2024 22:01:05 +0800

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
   $(empty)
 
 %:
-	dh $@ --with dkms,modaliases
+	dh $@ --with modaliases
 
 override_dh_auto_configure:
 override_dh_auto_build:

## ipu6-drivers 0~git202411190607.0ad49882

=== Makefile ===
--- 
+++ 
@@ -24,6 +24,7 @@
 KV_IPU_BRIDGE := 6.6.0
 KV_OV2740 := 6.8.0
 KV_OV05C10 := 6.8.0
+KV_IPU6_ISYS := 6.10.0
 
 KERNEL_SRC ?= /lib/modules/$(KERNELRELEASE)/build
 MODSRC := $(shell pwd)
@@ -74,7 +75,11 @@
 export CONFIG_IPU_BRIDGE = n
 endif
 export EXTERNAL_BUILD = 1
-obj-y += drivers/media/pci/intel/
+ifeq ($(call version_lt,$(KERNEL_VERSION),$(KV_IPU6_ISYS)),true)
+obj-y += drivers/media/pci/intel/ipu6/
+else
+obj-y += drivers/media/pci/intel/ipu6/psys/
+endif
 
 export CONFIG_VIDEO_HM11B1 = m
 export CONFIG_VIDEO_OV01A1S = m

=== drivers/media/i2c/Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 obj-$(CONFIG_VIDEO_OV01A10) += ov01a10.o
 obj-$(CONFIG_VIDEO_OV02C10) += ov02c10.o
 obj-$(CONFIG_VIDEO_OV02E10) += ov02e10.o
+obj-$(CONFIG_VIDEO_OV05C10) += ov05c10.o
 obj-$(CONFIG_VIDEO_OV2740) += ov2740.o
 obj-$(CONFIG_VIDEO_HM2170) += hm2170.o
 obj-$(CONFIG_VIDEO_HM2170) += hm2172.o

=== drivers/media/pci/intel/ipu6/psys/Makefile ===
# SPDX-License-Identifier: GPL-2.0-only

is_kernel_lt_6_10 = $(shell if [ $$(printf "6.10\n$(KERNELVERSION)" | sort -V | head -n1) != "6.10" ]; then echo 1; fi)
ifeq ($(is_kernel_lt_6_10), 1)
ifneq ($(EXTERNAL_BUILD), 1)
src := $(srctree)/$(src)
endif
endif

intel-ipu6-psys-objs			+= ipu-psys.o \
					   ipu6-psys.o \
					   ipu-resources.o \
					   ipu6-l-scheduler.o \
					   ipu6-ppg.o

intel-ipu6-psys-objs			+= ipu-fw-resources.o \
					   ipu6-fw-resources.o \
					   ipu6se-fw-resources.o \
					   ipu6ep-fw-resources.o \
					   ipu-fw-psys.o

obj-$(CONFIG_VIDEO_INTEL_IPU6)		+= intel-ipu6-psys.o

ifeq ($(is_kernel_lt_6_10), 1)
ccflags-y += -I$(src)/../ipu6/
endif
ccflags-y += -I$(src)/../
ccflags-y += -I$(src)/../../

=== debian/changelog ===
ipu6-drivers (0~git202411190607.0ad49882-0ubuntu3) plucky; urgency=medium

  * kernel warning in dma_alloc_attrs, probe with driver intel_ipu6_isys.isys
    failed with error -12 (LP: #2100861)
    - Apply changes from upstream pull request #324
    - Update preprocessor version check to also apply to kernels based on
      v6.11.11+

 -- You-Sheng Yang <vicamo@gmail.com>  Wed, 05 Mar 2025 23:02:51 +0800

ipu6-drivers (0~git202411190607.0ad49882-0ubuntu2) plucky; urgency=medium

  * Fix dkms failure to build against kernel v6.13 (LP: #2099881)

 -- You-Sheng Yang <vicamo@gmail.com>  Mon, 24 Feb 2025 21:34:13 +0800

ipu6-drivers (0~git202411190607.0ad49882-0ubuntu1) plucky; urgency=medium

  [ You-Sheng Yang ]

  * Support mipi camera on Intel Arrow Lake platform (LP: #2085845)
    - debian: refresh patches
    - debian: install dkms patches to patch at build time
  * Use in-tree intel-ipu6-isys module for kernel >= v6.10
  * debian: update Vcs info
  * Use Bug-Ubuntu instead of BugLink in debian patches
  * Use upstream version as dkms version

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 26 Nov 2024 16:38:30 +0800

ipu6-drivers (0~git202407190257.9369b88e-0ubuntu2) plucky; urgency=medium

  [ You-Sheng Yang ]
  * OVTI08F4:00: number of CSI2 data lanes 2 is not supported (LP: #2084059)
    - media: ov08x40: Add support for 2/4 lanes support at 1500 Mbps
  * Failed to build against linux-6.12, multiple errors (LP: #2083996)
    - SAUCE: backport: [tree-wide] finally take no_llseek out
    - SAUCE: backport: move asm/unaligned.h to linux/unaligned.h
    - update 0023-UBUNTU-SAUCE-media-ipu6-Fix-compilation-with-kernels.patch

 -- You-Sheng Yang <vicamo@gmail.com>  Fri, 11 Oct 2024 01:53:49 +0800

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/dpkg/pkg-info.mk
 
 DKMS_PACKAGE_NAME = $(shell grep '^PACKAGE_NAME=' dkms.conf | cut -d\" -f2)
-DKMS_PACKAGE_VERSION = $(DEB_VERSION)
+DKMS_PACKAGE_VERSION = $(DEB_VERSION_UPSTREAM)
 
 generated_dkms_files = \
   debian/intel-ipu6-dkms.install \

## ipu6-drivers 0~git202506270118.9bff7368

=== Makefile ===
--- 
+++ 
@@ -23,8 +23,11 @@
 KV_IVSC := 6.6.0
 KV_IPU_BRIDGE := 6.6.0
 KV_OV2740 := 6.8.0
+KV_OV01A10 := 6.8.0
 KV_OV05C10 := 6.8.0
+KV_HI556 := 6.10.0
 KV_IPU6_ISYS := 6.10.0
+KV_IMX471 := 6.10.0
 
 KERNEL_SRC ?= /lib/modules/$(KERNELRELEASE)/build
 MODSRC := $(shell pwd)
@@ -81,22 +84,33 @@
 obj-y += drivers/media/pci/intel/ipu6/psys/
 endif
 
-export CONFIG_VIDEO_HM11B1 = m
-export CONFIG_VIDEO_OV01A1S = m
-export CONFIG_VIDEO_OV01A10 = m
-export CONFIG_VIDEO_OV02C10 = m
-export CONFIG_VIDEO_OV02E10 = m
-export CONFIG_VIDEO_HM2170 = m
-export CONFIG_VIDEO_HM2172 = m
-export CONFIG_VIDEO_HI556 = m
+export CONFIG_ICAMERA_HM11B1 = m
+export CONFIG_ICAMERA_OV01A1S = m
+export CONFIG_ICAMERA_OV02C10 = m
+export CONFIG_ICAMERA_OV02E10 = m
+export CONFIG_ICAMERA_HM2170 = m
+export CONFIG_ICAMERA_HM2172 = m
+export CONFIG_ICAMERA_GC5035 = m
 
 ifeq ($(call version_lt,$(KERNEL_VERSION),$(KV_OV2740)),true)
-export CONFIG_VIDEO_OV2740 = m
-export CONFIG_VIDEO_GC5035 = m
+export CONFIG_ICAMERA_OV2740 = m
 endif
 
+ifeq ($(call version_lt,$(KERNEL_VERSION),$(KV_OV01A10)),true)
+export CONFIG_ICAMERA_OV01A10 = m
+endif
+
+# Note OV05C10 check is reversed, it is not build on too old kernels
 ifeq ($(call version_lt,$(KERNEL_VERSION),$(KV_OV05C10)),false)
-export CONFIG_VIDEO_OV05C10 = m
+export CONFIG_ICAMERA_OV05C10 = m
+endif
+
+ifeq ($(call version_lt,$(KERNEL_VERSION),$(KV_IMX471)),false)
+export CONFIG_ICAMERA_IMX471 = m
+endif
+
+ifeq ($(call version_lt,$(KERNEL_VERSION),$(KV_HI556)),true)
+export CONFIG_ICAMERA_HI556 = m
 endif
 
 obj-y += drivers/media/i2c/

=== drivers/media/i2c/Makefile ===
# SPDX-License-Identifier: GPL-2.0
# Copyright (c) 2021 Intel Corporation.

obj-$(CONFIG_ICAMERA_HM11B1) += hm11b1.o
obj-$(CONFIG_ICAMERA_GC5035) += gc5035.o
obj-$(CONFIG_ICAMERA_OV01A1S) += ov01a1s.o
obj-$(CONFIG_ICAMERA_OV01A10) += ov01a10.o
obj-$(CONFIG_ICAMERA_OV02C10) += ov02c10.o
obj-$(CONFIG_ICAMERA_OV02E10) += ov02e10.o
obj-$(CONFIG_ICAMERA_OV05C10) += ov05c10.o
obj-$(CONFIG_ICAMERA_OV2740) += ov2740.o
obj-$(CONFIG_ICAMERA_HM2170) += hm2170.o
obj-$(CONFIG_ICAMERA_HM2170) += hm2172.o
obj-$(CONFIG_ICAMERA_IMX471) += imx471.o
obj-$(CONFIG_ICAMERA_HI556) += hi556.o
obj-$(CONFIG_POWER_CTRL_LOGIC) += power_ctrl_logic.o

=== drivers/media/pci/intel/ipu6/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 srcpath := $(srctree)
 endif
 
-ccflags-y += -DIPU_TPG_FRAME_SYNC -DIPU_PSYS_GPC \
+ccflags-y += -DIPU_TPG_FRAME_SYNC \
 		-DIPU_ISYS_GPC
 
 intel-ipu6-objs				+= ../ipu.o \
@@ -38,25 +38,9 @@
 
 obj-$(CONFIG_VIDEO_INTEL_IPU6)		+= intel-ipu6-isys.o
 
-intel-ipu6-psys-objs			+= ../ipu-psys.o \
-					   ipu6-psys.o \
-					   ipu-resources.o \
-					   ipu6-psys-gpc.o \
-					   ipu6-l-scheduler.o \
-					   ipu6-ppg.o
-
-intel-ipu6-psys-objs			+= ipu-fw-resources.o \
-					   ipu6-fw-resources.o \
-					   ipu6se-fw-resources.o \
-					   ipu6ep-fw-resources.o \
-					   ../ipu-fw-psys.o
-
-ifeq ($(CONFIG_COMPAT),y)
-intel-ipu6-psys-objs			+= ../ipu-psys-compat32.o
-endif
-
-obj-$(CONFIG_VIDEO_INTEL_IPU6)		+= intel-ipu6-psys.o
+obj-$(CONFIG_VIDEO_INTEL_IPU6)		+= psys/
 
 ccflags-y += -I$(srcpath)/$(src)/../../../../../include/
+ccflags-y += -I$(srcpath)/$(src)/psys/
 ccflags-y += -I$(srcpath)/$(src)/../
 ccflags-y += -I$(srcpath)/$(src)/

=== drivers/media/pci/intel/ipu6/psys/Makefile ===
--- 
+++ 
@@ -8,16 +8,15 @@
 endif
 
 intel-ipu6-psys-objs			+= ipu-psys.o \
+					   ipu-fw-psys.o \
+					   ipu-fw-resources.o \
+					   ipu-resources.o \
 					   ipu6-psys.o \
-					   ipu-resources.o \
+					   ipu6-ppg.o \
 					   ipu6-l-scheduler.o \
-					   ipu6-ppg.o
-
-intel-ipu6-psys-objs			+= ipu-fw-resources.o \
 					   ipu6-fw-resources.o \
 					   ipu6se-fw-resources.o \
-					   ipu6ep-fw-resources.o \
-					   ipu-fw-psys.o
+					   ipu6ep-fw-resources.o
 
 obj-$(CONFIG_VIDEO_INTEL_IPU6)		+= intel-ipu6-psys.o

=== debian/changelog ===
ipu6-drivers (0~git202506270118.9bff7368-0ubuntu1) questing; urgency=medium

  * New upstream 20250625_1415_509 tag release (LP: #2101850)
    - refresh debian patches
    - add d/p/patches-remove-u64-dma_mask-for-the-kernel-higher-than-6..patch
      for kernels >= 6.16

  * Support Samsung S5K3J1 sensor for Intel MIPI camera (LP: #2121852)
    - add d/p/add-Samsung-s5k3j1-sensor.patch

  * Support suspend/resume for IMX471 camera sensor (LP: #2121948)
    - drop upstreamed d/p/add-imx471-into-dkms.patch
    - drop upstreamed d/p/add-imx471-sensor-driver.patch
    - add d/p/Add-IMX471-power-management-for-correct-behaviors.patch

 -- You-Sheng Yang <vicamo@gmail.com>  Thu, 04 Sep 2025 18:53:12 +0800

ipu6-drivers (0~git202411190607.0ad49882-0ubuntu6) questing; urgency=medium

  * dkms >= 3.1.7 refuses to build intel-ipu6-dkms due to duplicated modules
    (LP: #2115145)

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 26 Aug 2025 01:50:30 +0800

ipu6-drivers (0~git202411190607.0ad49882-0ubuntu5) questing; urgency=medium

  * intel_ipu6_psys not correctly probed at boot since kernel >= v6.13
    (LP: #2115083)
    - add d/p/Modify-0001-v6.10-IPU6-headers-used-by-PSYS.patch

 -- You-Sheng Yang <vicamo@gmail.com>  Sat, 21 Jun 2025 00:59:00 +0800

ipu6-drivers (0~git202411190607.0ad49882-0ubuntu4) questing; urgency=medium

  * Support Sony IMX471 camera sensor for Intel IPU7 platforms (LP: #2107320)
    - add imx471 sensor driver
    - add imx471 into dkms

  * Fix lintian warning old-fsf-address-in-copyright-file

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 15 Apr 2025 14:21:23 +0800

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
  quilt,
 Standards-Version: 4.6.1.0
 Homepage: https://github.com/intel/ipu6-drivers
-Vcs-Browser: https://github.com/intel/ipu6-drivers/tree/master
-Vcs-Git: https://github.com/intel/ipu6-drivers.git
+Vcs-Browser: https://git.launchpad.net/ubuntu/+source/ipu6-drivers
+Vcs-Git: https://git.launchpad.net/ubuntu/+source/ipu6-drivers
 
 Package: intel-ipu6-dkms
 Architecture: amd64

## ipu6-drivers 0~git202511120800.9766e218

=== Makefile ===
--- 
+++ 
@@ -28,6 +28,7 @@
 KV_HI556 := 6.10.0
 KV_IPU6_ISYS := 6.10.0
 KV_IMX471 := 6.10.0
+KV_S5K3J1 := 6.10.0
 
 KERNEL_SRC ?= /lib/modules/$(KERNELRELEASE)/build
 MODSRC := $(shell pwd)
@@ -109,6 +110,10 @@
 export CONFIG_ICAMERA_IMX471 = m
 endif
 
+ifeq ($(call version_lt,$(KERNEL_VERSION),$(KV_S5K3J1)),false)
+export CONFIG_ICAMERA_S5K3J1 = m
+endif
+
 ifeq ($(call version_lt,$(KERNEL_VERSION),$(KV_HI556)),true)
 export CONFIG_ICAMERA_HI556 = m
 endif

=== drivers/media/i2c/Makefile ===
--- 
+++ 
@@ -13,4 +13,5 @@
 obj-$(CONFIG_ICAMERA_HM2170) += hm2172.o
 obj-$(CONFIG_ICAMERA_IMX471) += imx471.o
 obj-$(CONFIG_ICAMERA_HI556) += hi556.o
+obj-$(CONFIG_ICAMERA_S5K3J1) += s5k3j1.o
 obj-$(CONFIG_POWER_CTRL_LOGIC) += power_ctrl_logic.o

=== debian/changelog ===
ipu6-drivers (0~git202511120800.9766e218-0ubuntu2) resolute; urgency=medium

  * migrate to in-tree ov08x40 camera sensor driver (LP: #2137700)

 -- You-Sheng Yang <vicamo@gmail.com>  Fri, 09 Jan 2026 15:40:40 +0800

ipu6-drivers (0~git202511120800.9766e218-0ubuntu1) resolute; urgency=medium

  * New upstream 20251104_0740_359 tag release (LP: #2134604)
    - refresh debian patches
    - ov08x40: update base to v6.15 as done in the in-tree kernel patches
      patch/v6.14.

  * failed to build against linux kernel < v6.12.5 (LP: #2134695)
    - media: ipu6: fix building with kernel < v6.12.5

  * failed to build against linux kernel < v6.10 (LP: #2134800)
    - media: ipu6: fix building with kernel < v6.10

  * failed to build against linux kernel < 6.8 (LP: #2134838)
    - UBUNTU: SAUCE: backport: Add v4l2_link_freq_to_bitmap

 -- You-Sheng Yang <vicamo@gmail.com>  Thu, 04 Dec 2025 00:36:31 +0800
